Skip to navigation

List or filter tasks

View as Markdown

The view parameter can be used to conveniently access the different task views. It accepts one of the following values:

  • inbox: Shows incomplete tasks up to the end of the user’s day only (taking the time zone into account).
  • future: Shows incomplete tasks starting from the user’s tomorrow only (taking the time zone into account).
  • archive: Shows complete tasks only.

Note that a view value of inbox or future will override any date__lt or date__gte parameters included in the same request.

The _order_by field allows ordering by date or date_created (descending order by prepending a minus, e.g. _order_by=-date).

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

_limitintegerOptionalDefaults to 100
Number of results to return.
_skipintegerOptionalDefaults to 0
Number of results to skip before returning, for pagination.
assigned_tostring or nullOptional
formatstring or nullOptional
idstring or nullOptional
id__instring or nullOptional
is_completestring or nullOptional
lead_idstring or nullOptional
_order_bystring or nullOptional
organization_idstring or nullOptional
_typestring or nullOptional
_type__instring or nullOptional
viewstring or nullOptional
datestring or nullOptional
date__ltstring or nullOptional
date__ltestring or nullOptional
date__gtstring or nullOptional
date__gtestring or nullOptional
due_datestring or nullOptional
due_date__ltstring or nullOptional
due_date__ltestring or nullOptional
due_date__gtstring or nullOptional
due_date__gtestring or nullOptional
date_created__ltstring or nullOptional
date_created__ltestring or nullOptional
date_created__gtstring or nullOptional
date_created__gtestring or nullOptional
date_updated__ltstring or nullOptional
date_updated__ltestring or nullOptional
date_updated__gtstring or nullOptional
date_updated__gtestring or nullOptional
_fieldsstringOptional

Comma-separated list of fields to include in the response.

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error